Bug 1775021 (CVE-2019-19062) - CVE-2019-19062 kernel: A memory leak in the crypto_report() function in crypto/crypto_user_base.c allows for a DoS
Summary: CVE-2019-19062 kernel: A memory leak in the crypto_report() function in crypt...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19062
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1825132 1825133 1829808 1829810 1775023 1825136 1829809 1829811 1829812
Blocks: 1775024
TreeView+ depends on / blocked
 
Reported: 2019-11-21 11:28 UTC by Marian Rehak
Modified: 2020-07-07 19:27 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. The crypto_report function mishandles resource cleanup on error. A local attacker able to induce the error conditions could use this flaw to crash the system. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-07-07 19:27:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2854 None None None 2020-07-07 13:18:41 UTC

Description Marian Rehak 2019-11-21 11:28:15 UTC
A memory leak in the crypto_report() function in crypto/crypto_user_base.c in the Linux kernel through 5.3.11 allows attackers to cause a denial of service (memory consumption) by triggering crypto_report_alg() failures.

Upstream Issue:

https://github.com/torvalds/linux/commit/ffdde5932042600c6807d46c1550b28b0db6a3bc

Comment 1 Marian Rehak 2019-11-21 11:28:34 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1775023]

Comment 2 Justin M. Forbes 2019-11-21 17:52:18 UTC
How is this a separate CVE? It seems a duplicate of CVE-2019-19050 rhbz 1774998

Comment 4 Petr Matousek 2020-04-30 12:13:12 UTC
Statement:

This issue is rated as having Low impact because of the preconditions needed to trigger the error cleanup code path.

Comment 5 Petr Matousek 2020-04-30 12:13:18 UTC
Mitigation:

In order to mitigate this issue it is possible to prevent the affected code from being loaded by blacklisting the kernel module crypto_user. For instructions relating to how to blacklist a kernel module refer to: https://access.redhat.com/solutions/41278 .

Comment 7 errata-xmlrpc 2020-07-07 13:18:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2854 https://access.redhat.com/errata/RHSA-2020:2854

Comment 8 Product Security DevOps Team 2020-07-07 19:27:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19062


Note You need to log in before you can comment on or make changes to this bug.